#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <queue>
#include <cassert>
#include <algorithm>
#include <stack>
#include <set>
#include <cstdio>

// testlib is evil
#define stderr stdout

#include "testlib.h"

using namespace std;

int main(int argc, char** argv) {
    registerTestlibCmd(argc, argv);
    int n = inf.readInteger(1, 100);
    vector<int> a;
    for (int i = 0; i < n; ++i) a.push_back(inf.readInteger(1, 100));

    int ans_sum = 0;
    for (int i = 0; i < n; ++i) ans_sum += ans.readInteger();

    vector<int> o;
    int out_sum = 0;
    for (int i = 0; i < n; ++i) {
        o.push_back(ouf.readInteger());
        quitif(o[i] < a[i], _wa, "Plank %d too short: %d < %d", i + 1, o[i], a[i]);
        out_sum += o[i];
    }
    if (n > 1) {
        bool c1 = o[0] < o[1];
        bool c2 = o[0] > o[1];
        for (int i = 2; i <= n; i += 2) {
           c1 &= o[i - 2] < o[i - 1] && (i == n || o[i - 1] > o[i]);
           c2 &= o[i - 2] > o[i - 1] && (i == n || o[i - 1] < o[i]);
        }
        quitif(!c1 && !c2, _wa, "Not feng-shui");
    }
    quitif(out_sum < ans_sum, _fail, "Too good: %d < %d", out_sum, ans_sum);
    quitif(out_sum > ans_sum, _wa, "Not optimal: %d > %d", out_sum, ans_sum);
    quitf(_ok, "ok");
}
